%define	major		1
%define libname		%mklibname dnet %{major}
%define develname	%mklibname dnet -d

Summary:	Portable interface to several low-level networking routines
Name:		libdnet
Version:	1.18.0
Release:	%mkrel 3
License:	BSD
Group:		System/Libraries
URL:		https://github.com/ofalk/libdnet
Source0:	https://github.com/ofalk/libdnet/archive/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	python3dist(cython)
BuildRequires:	pkgconfig(check)

%description
libdnet provides a simplified, portable interface to several
low-level networking routines, including network address
manipulation, kernel arp(4) cache and route(4) table lookup and
manipulation, network firewalling, network interface lookup and
manipulation, and raw IP packet and Ethernet frame transmission.

%package -n	%{libname}
Summary:	Portable interface to several low-level networking routines
Group:		System/Libraries

%description -n	%{libname}
libdnet provides a simplified, portable interface to several
low-level networking routines, including network address
manipulation, kernel arp(4) cache and route(4) table lookup and
manipulation, network firewalling, network interface lookup and
manipulation, and raw IP packet and Ethernet frame transmission.

%package -n	%{libname}-utils
Summary:	A simple test program for the %{libname} library
Group:		System/Libraries
Provides:	%{name}-utils = %{version}-%{release}

%description -n	%{libname}-utils
Provides a simple test program for the %{libname} library.

%package -n	%{develname}
Summary:	Static library and header files for the %{libname} library
Group:		Development/C
Provides:	dnet-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
libdnet provides a simplified, portable interface to several
low-level networking routines, including network address
manipulation, kernel arp(4) cache and route(4) table lookup and
manipulation, network firewalling, network interface lookup and
manipulation, and raw IP packet and Ethernet frame transmission.

%package -n	python3-%{name}
Summary:	Python 3 bindings for libdnet
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
%{?python_provide:%python_provide python3-%{name}}

%description -n	python3-%{name}
Python 3 bindings for libdnet.

%prep
%autosetup -p0 -n %{name}-%{name}-%{version}

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install

pushd python
%py3_install
popd

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc THANKS TODO
%license LICENSE
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{libname}-utils
%{_sbindir}/*
%{_mandir}/man8/*

%files -n %{develname}
%{_bindir}/dnet-config
%{_includedir}/*
%{_libdir}/%{name}.so
%{_mandir}/man3/*

%files -n python3-%{name}
%{python3_sitearch}/*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.18.0-3.mga10
+ Revision: 2242666
- Mageia 10 Mass Rebuild

* Tue Mar 04 2025 wally <wally> 1.18.0-2.mga10
+ Revision: 2160317
- rebuild for python3.13

* Fri Sep 20 2024 daviddavid <daviddavid> 1.18.0-1.mga10
+ Revision: 2099430
- new version: 1.18.0

* Sun Feb 11 2024 daviddavid <daviddavid> 1.17.0-1.mga10
+ Revision: 2040292
- new version: 1.17.0
- build with cython 0.29.x
- rebuild for py3.12

* Sun Mar 27 2022 umeabot <umeabot> 1.14-4.mga9
+ Revision: 1829427
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 1.14-3.mga9
+ Revision: 1787162
- rebuild for python-3.10

* Sun Apr 18 2021 daviddavid <daviddavid> 1.14-2.mga9
+ Revision: 1716390
- don't forget tu run python3 build

* Sun Apr 18 2021 daviddavid <daviddavid> 1.14-1.mga9
+ Revision: 1716373
- new version: 1.14
- update Url and Source Url
- enable the python3 bindings

* Thu Feb 20 2020 umeabot <umeabot> 1.12-21.mga8
+ Revision: 1546259
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 wally <wally> 1.12-20.mga8
+ Revision: 1486229
- drop python and multiarch support
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.12-19.mga7
+ Revision: 1298810
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Tue Feb 02 2016 umeabot <umeabot> 1.12-18.mga6
+ Revision: 932822
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.12-17.mga5
+ Revision: 747765
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.12-16.mga5
+ Revision: 681420
- Mageia 5 Mass Rebuild

* Fri Aug 08 2014 wally <wally> 1.12-15.mga5
+ Revision: 661103
- disable static build and get rid of .la files
- drop unneeded obsoletes/provides

* Fri Oct 18 2013 umeabot <umeabot> 1.12-14.mga4
+ Revision: 506956
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.12-13.mga3
+ Revision: 357004
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 1.12-12.mga3
+ Revision: 341549
- patch5: fix build with automake 1.13

* Thu Mar 22 2012 dlucio <dlucio> 1.12-11.mga2
+ Revision: 225687
- bump release

* Mon Jan 24 2011 erwan <erwan> 1.12-10.mga1
+ Revision: 37989
- imported package libdnet


* Thu Nov 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1.12-10mdv2011.0
+ Revision: 601041
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.12-9mdv2010.1
+ Revision: 519020
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.12-8mdv2010.0
+ Revision: 425530
- rebuild

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.12-7mdv2009.1
+ Revision: 315554
- rebuild

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.12-6mdv2009.0
+ Revision: 264776
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 30 2008 Oden Eriksson <oeriksson@mandriva.com> 1.12-5mdv2009.0
+ Revision: 213445
- fix spec/rpm borkiness (thanks _TPG and Anssi)
- disable the python stuff for now
- rebuild

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.12-4mdv2008.1
+ Revision: 150551
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.12-3mdv2008.0
+ Revision: 83871
- fix deps

* Thu Sep 06 2007 Oden Eriksson <oeriksson@mandriva.com> 1.12-2mdv2008.0
+ Revision: 81110
- bump release
- 1.12
- new url
- drop one upstream implemented patch

* Wed Sep 05 2007 David Walluck <walluck@mandriva.org> 1.11-5mdv2008.0
+ Revision: 79643
- Provides: dnet-devel = %%{version}-%%{release}
- version Obsoletes for rpmlint

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 1.11-4mdv2008.0
+ Revision: 74548
- fix deps
- conform to the new devel naming


* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.11-3mdv2007.0
+ Revision: 96086
- Fix File list
- Rebuild for new python

  + Oden Eriksson <oeriksson@mandriva.com>
    - Import libdnet

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1.11-1mdv2007.0
- 1.11
- use python rpm macros
- rediffed patches; P0
- drop redundant patches; P1,P2
- drop upstream patches; P5

* Mon Dec 12 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.10-2mdk
- add BuildRequires: pyrex

* Sat Dec 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.10-1mdk
- 1.10
- rediffed P0,P2
- added two patches from nmap (P3,P4)
- added P5 from cvs to make the python module compile

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.8-4mdk
- fix deps and conditional %%multiarch
- fix requires-on-release

* Tue Sep 21 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8-3mdk
- use automake 1.4

* Wed May 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.8-2mdk
- make it compile on 9.2 too (libtool mess...)
- added P1 & P2 from PLD

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.8-1mdk
- 1.8
- fix libname (P0)
- added the python stuff
- misc spec file fixes

* Sat Feb 28 2004 Pascal Terjan <pterjan@mandrake.org> 1.7-3mdk
- dont obsolete current version and don't provide packagename = version

